comedi_get_buffer_contents
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_get_buffer_contents — streaming buffer status

## Synopsis

    #include <comedilib.h>

`int comedi_get_buffer_contents(` | comedi_t * device,
| unsigned int subdevice`)`;

## Description

The function `comedi_get_buffer_contents` is used on a subdevice that has a Comedi command in progress to get the number of unread bytes. For a streaming input command, this is the number of bytes that can be read. For a streaming output command, subtracting this from the buffer size gives the space available to be written.

## Return value

On success, `comedi_get_buffer_contents` returns the number of unread bytes in the buffer. On failure, `-1` is returned.

Prev | Up | Next
comedi_command_test | Home | comedi_get_buffer_read_offset